Upgrade to .NET Framework 4.0?

Coordinator
Jan 4, 2011 at 6:42 AM

Do you plan to release a version for framework 4.0 ?

Coordinator
Jan 4, 2011 at 6:42 AM

At the moment, we don't have plans to target .NET Framework 4.0, simply because you can use 3.5 SP1 as well. As soon as we move to 4, users using 3.5 SP1 can no longer use Catel.

Do you have any good reasons to upgrade to .NET Framework 4?

Apr 15, 2011 at 12:02 PM

If you have to break to move to .net 4 would you be willing to look at changing the validation model so that it ties in to .net 4 DataAnnotation etc. ?

Coordinator
Apr 28, 2011 at 3:05 PM
Edited Apr 28, 2011 at 3:06 PM

Can you please explain what you mean with this? For what I know, the DataAnnotation attributes are used by MVC, but if there is enough interest in this, I will implement it in Catel as well.

May 10, 2011 at 9:03 PM
Edited May 10, 2011 at 9:05 PM

This looks awesome, but I would like to see Catel released for .NET 4 because our project needs to use the new features of .NET 4 Workflows.  I can't use Catel today because of that requirement.

Coordinator
May 10, 2011 at 9:33 PM

Currently working on that. The source code already has 4.0 support. I don't understand why you can't use the 3.5 code in a 4.0 project, but if you want you can compile the 4.0 library yourself.

May 10, 2011 at 10:08 PM

Thank you, I was able to download the source for .NET 4.  I'll experiment with it a bit more.  

Coordinator
Jun 24, 2011 at 7:51 PM

DataAnnotations are now supported. You can either get the latest source or wait for Catel 2.0 (expected at the end of August).